// -------------------------------------------------------------------------------------------------
// xsMatriz.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye librería
#include "xsEasyCpp.hpp"

#ifndef __xsMatriz_hpp__
#define __xsMatriz_hpp__

Clase xsMatriz : Publica xsObjeto
{
	Publica:

	    xsMatriz();

	    Vacio crear();

		Vacio insertarEn(xsObjetoGUI* objetoInsertar, 
                         Entero izquierda,
                         Entero arriba,
                         Entero ancho,
                         Entero alto);

        Vacio colocarRenglonesHomogeneos(Logico  homogeneos);

        Entero obtenerRenglonesHomogeneos();

        Vacio colocarColumnasHomogeneas(Logico  homogeneas);

        Entero obtenerColumnasHomogeneas();

		Vacio insertarColumna(Entero posicion);

		Vacio insertarRenglon(Entero posicion);

		Vacio eliminarColumna(Entero posicion);

		Vacio eliminarRenglon(Entero posicion);

		Vacio colocarEspaciosEntreColumnas(Entero espacio);

		Vacio colocarEspaciosEntreRenglones(Entero espacio);

		Entero colocarEspaciosEntreColumnas();

		Entero colocarEspaciosEntreRenglones();

		Vacio colocarBorde(Entero borde);
};

// Fin de la Definición del Archivo
#endif
